org.eclipse.rdf4j.sail.extensiblestore.evaluationstatistics

## Class EvaluationStatisticsWrapper

- java.lang.Object
- - org.eclipse.rdf4j.sail.extensiblestore.evaluationstatistics.EvaluationStatisticsWrapper

- All Implemented Interfaces:
    DataStructureInterface

      @Experimental
      public class EvaluationStatisticsWrapper
      extends Object
      implements DataStructureInterface

  A wrapper around a data structure to support evaluation statistics that need to be notified of added or removed statements.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluationStatisticsWrapper(DataStructureInterface delegate, DynamicStatistics dynamicStatistics)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStatement(Collection<ExtensibleStatement> statements)`
    `void` | `addStatement(ExtensibleStatement statement)`
    `void` | `clear(boolean inferred, Resource[] contexts)`
    `void` | `flushForCommit()`
    `void` | `flushForReading()`
    `long` | `getEstimatedSize()`
    `CloseableIteration<? extends ExtensibleStatement,SailException>` | `getStatements(Resource subject, IRI predicate, Value object, boolean inferred, Resource... context)`
    `void` | `init()`
    `void` | `removeStatement(Collection<ExtensibleStatement> statements)`
    `void` | `removeStatement(ExtensibleStatement statement)`
    `boolean` | `removeStatementsByQuery(Resource subj, IRI pred, Value obj, boolean inferred, Resource[] contexts)`
    `void` | `setEvaluationStatistics(DynamicStatistics dynamicStatistics)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EvaluationStatisticsWrapper

          public EvaluationStatisticsWrapper(DataStructureInterface delegate,
                                             DynamicStatistics dynamicStatistics)

  - ### Method Detail

    - #### addStatement

          public void addStatement(ExtensibleStatement statement)

      Specified by:
        `addStatement` in interface `DataStructureInterface`

    - #### removeStatement

          public void removeStatement(ExtensibleStatement statement)

      Specified by:
        `removeStatement` in interface `DataStructureInterface`

    - #### getStatements

          public CloseableIteration<? extends ExtensibleStatement,SailException> getStatements(Resource subject,
                                                                                               IRI predicate,
                                                                                               Value object,
                                                                                               boolean inferred,
                                                                                               Resource... context)

      Specified by:
        `getStatements` in interface `DataStructureInterface`

    - #### flushForReading

          public void flushForReading()

      Specified by:
        `flushForReading` in interface `DataStructureInterface`

    - #### init

          public void init()

      Specified by:
        `init` in interface `DataStructureInterface`

    - #### clear

          public void clear(boolean inferred,
                            Resource[] contexts)

      Specified by:
        `clear` in interface `DataStructureInterface`

    - #### flushForCommit

          public void flushForCommit()

      Specified by:
        `flushForCommit` in interface `DataStructureInterface`

    - #### removeStatementsByQuery

          public boolean removeStatementsByQuery(Resource subj,
                                                 IRI pred,
                                                 Value obj,
                                                 boolean inferred,
                                                 Resource[] contexts)

      Specified by:
        `removeStatementsByQuery` in interface `DataStructureInterface`

    - #### addStatement

          public void addStatement(Collection<ExtensibleStatement> statements)

      Specified by:
        `addStatement` in interface `DataStructureInterface`

    - #### removeStatement

          public void removeStatement(Collection<ExtensibleStatement> statements)

      Specified by:
        `removeStatement` in interface `DataStructureInterface`

    - #### getEstimatedSize

          public long getEstimatedSize()

      Specified by:
        `getEstimatedSize` in interface `DataStructureInterface`

    - #### setEvaluationStatistics

          public void setEvaluationStatistics(DynamicStatistics dynamicStatistics)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.